<?php
session_start();
include '../conexion.php';
mysqli_set_charset($connection, "utf8");



$id = $_POST['id'] ?? null;
$valor=null;
$supervisor=null;
$lugares=null;



if($id=='1'){
    $ubicacion = $_POST['ubicacion'] ?? null;
    $ubicasql=null;

    if ($ubicacion==0) {
        $supervisor.='0';
    }else{
        switch($ubicacion){
            case 'TIJUANA':$ubicasql="datos_tijuana"; break;
            case 'ROSARITO':$ubicasql="datos_tijuana"; break;
            case 'ENSENADA':$ubicasql="datos_ensenada"; break;
            case 'MEXICALI':$ubicasql="datos_mexicali"; break;
        }
    
        $stmt = $connection->prepare("SELECT * FROM $ubicasql group by supervisor ");
        //$stmt->bind_param("s", $idUsuario);
    
        if ($stmt->execute()) {
            $result = $stmt->get_result();
            if ($result->num_rows > 0) {
    
                while ($row = $result->fetch_assoc()) {
                    $supervisor.='<option value="'.$row['supervisor'].'">'.$row['supervisor'].'</option>';
                }
            } else {
                echo "No se encontraron registros.";
            }
        } else {
            echo "Error en la consulta: " . $stmt->error;
        }
    }

    

} else if($id=='2'){
    $ubicacion = $_POST['ubicacion'] ?? null;
    $supervisor=$_POST['supervisor'] ?? null;
    $ubicasql=null;

    if (empty($ubicacion)) {
        die("La ubicación no puede estar vacía.");
    }

    switch($ubicacion){
        case 'TIJUANA':$ubicasql="datos_tijuana"; break;
        case 'ROSARITO':$ubicasql="datos_tijuana"; break;
        case 'ENSENADA':$ubicasql="datos_ensenada"; break;
        case 'MEXICALI':$ubicasql="datos_mexicali"; break;
    }

    $stmt = $connection->prepare("SELECT * FROM $ubicasql where supervisor=?");
    $stmt->bind_param("s", $supervisor);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($result->num_rows > 0) {

            while ($row = $result->fetch_assoc()) {
                $lugares.='<option value="'.$row['lugar_trabajo'].'">'.$row['lugar_trabajo'].'</option>';
            }
        } else {
            echo "No se encontraron registros.";
        }
    } else {
        echo "Error en la consulta: " . $stmt->error;
    }

}else if($id=='3'){
    $tipo = $_POST['tipo'] ?? null;
    

    if (empty($tipo)) {
        die("El tipo no puede estar vacía.");
    }

    $stmt = $connection->prepare("SELECT * FROM uni_medidas where uni_tipo_idtipoUni=? order by medida ASC");
    $stmt->bind_param("i", $tipo);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($result->num_rows > 0) {

            while ($row = $result->fetch_assoc()) {
                $lugares.='<option value="'.$row['idmedidasuni'].'">'.$row['medida'].'</option>';
            }
        } else {
            echo "No se encontraron registros.";
        }
    } else {
        echo "Error en la consulta: " . $stmt->error;
    }
}









//$valor.="";


$mensaje = array(
    'supervisor'=>$supervisor,
    'lugar'=>$lugares


    
);
    
echo json_encode($mensaje);		
?>